module Fastlane
  module Helper
    module GradleDataFinderHelper
      def self.find_property(gradle_data, property_key, flavor = nil)
        value = nil

        if gradle_data.key?(:default_config)
          if gradle_data[:default_config].key?(property_key)
            value = gradle_data[:default_config][property_key]
          end
        end

        if !flavor.nil? && gradle_data.key?(:product_flavors)
          if gradle_data[:product_flavors].key?(flavor)
            flavor_hash = gradle_data[:product_flavors][flavor]
            if flavor_hash.key?(property_key)
              value = flavor_hash[property_key]
            end
          end
        end

        return value
      end
    end
  end
end