module Fastlane
  module Helper
    module GradleFileFinderHelper
      def self.find_file(params)
        gradle_file_path ||= params[:gradle_file_path]

        if !gradle_file_path.nil?
          UI.message("The gradle_manager plugin will use gradle file at (#{gradle_file_path})!")
        else
          module_name = params[:module_name]
          UI.message("The gradle_manager plugin is looking inside your project folder (#{module_name})!")

          Dir.glob("**/#{module_name}/build.gradle") do |path|
            UI.message(" -> Found a build.gradle file at path: (#{path})!")
            gradle_file_path = path
          end
        end

        return gradle_file_path
      end
    end
  end
end